org.objenesis.instantiator.basic

## Class ObjectInputStreamInstantiator<T>

- java.lang.Object
- - org.objenesis.instantiator.basic.ObjectInputStreamInstantiator<T>

- All Implemented Interfaces:
    ObjectInstantiator<T>

      public class ObjectInputStreamInstantiator<T>
      extends java.lang.Object
      implements ObjectInstantiator<T>

  Instantiates a class by using a dummy input stream that always feeds data for an empty object of the same kind. NOTE: This instantiator may not work properly if the class being instantiated defines a "readResolve" method, since it may return objects that have been returned previously (i.e., there's no guarantee that the returned object is a new one), or even objects from a completely different class.
  See Also:
    `ObjectInstantiator`

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ObjectInputStreamInstantiator(java.lang.Class<T> clazz)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `T` | `newInstance()` Returns a new instance of an object.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ObjectInputStreamInstantiator

          public ObjectInputStreamInstantiator(java.lang.Class<T> clazz)

  - ### Method Detail

    - #### newInstance

          public T newInstance()

      Description copied from interface: `ObjectInstantiator`
      Returns a new instance of an object. The returned object's class is defined by the implementation.
      Specified by:
        `newInstance` in interface `ObjectInstantiator<T>`
      Returns:
        A new instance of an object.